# Method: partners.subscriptions.undoCancel

- [HTTP request](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/undoCancel#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/undoCancel#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/undoCancel#body.request_body)
- [Response body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/undoCancel#body.response_body)
  - [JSON representation](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/undoCancel#body.UndoCancelSubscriptionResponse.SCHEMA_REPRESENTATION)

Currently, it is used by **Google One, Play Pass** partners.

Revokes the pending cancellation of a subscription, which is currently in `STATE_CANCEL_AT_END_OF_CYCLE` state. If the subscription is already cancelled, the request will fail.

It should be called directly by the partner using service accounts.

### HTTP request

`POST https://paymentsresellersubscription.googleapis.com/v1/{name=partners/*/subscriptions/*}:undoCancel`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the subscription resource whose pending cancellation needs to be undone. It will have the format of "partners/{partner_id}/subscriptions/{subscriptionId}" |

### Request body

The request body must be empty.

### Response body

Response that contains the updated subscription resource.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subscription": { object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions#Subscription`) } } ``` |

| Fields ||
|---|---|
| `subscription` | ``object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions#Subscription`)`` The updated subscription resource. |